用户工具

站点工具


man1:exit

exit 命令

exit命令 用于退出shell,并返回给定值。执行exit可使shell以指定的状态值退出。在shell脚本中可以终止当前脚本执行。若不设置状态值参数,则shell以预设值退出。状态值0代表执行成功,其他值代表执行失败。

<!-- more -->

用法

exit [n]

参数

0 执行成功
1 执行失败
$?参照上一个状态值

实例

退出当前shell:

[root@localhost ~]# exit
logout

也可以使用ctrl+d退出当前终端,下面列出了打开或关闭该功能的方法:

# 打开ctrl+d退出终端
set -o ignoreeof
# 关闭ctrl+d退出终端
set +o ignoreeof

在脚本中,进入脚本所在目录,否则退出:

cd $(dirname $0) || exit 1

在脚本中,判断参数数量,不匹配就打印使用方式,退出:

if [ "$#" -ne "2" ]; then
    echo "usage: $0 <area> <hours>"
    exit 2
fi

在脚本中,退出时删除临时文件:

trap "rm -f tmpfile; echo Bye." EXIT

检查上一命令的退出码:

./mycommand.sh
EXCODE=$?
if [ "$EXCODE" == "0" ]; then
    echo "O.K"
fi
man1/exit.txt · 最后更改: 2021/06/29 13:33 (外部编辑)

Free Web Hosting